var fs = require('fs');
//var jsonUtils = require('../../'); //looks for index.js file
var json2jsonPush = require('../../').json2jsonPush; 
var utils = require('../../').utils; 

//nconf is not required, here it is used to store the push configuration
var nconf = require('nconf');
nconf.file({
	file : 'pushConfigExample_1.json'
});
var pushConfig = nconf.get('pushConfig');

//Use the different pushSource and PushTo files to test different scenarios
var pushSourceJSON = fs.readFileSync('./pushSource.json');
//var pushSourceJSON = fs.readFileSync( './pushSourceDocIdArray.json');
//var pushSourceJSON = fs.readFileSync( './pushSourceDocIdNotArray.json');
//var pushSourceJSON = fs.readFileSync( './pushSourceNoDocId.json');

var pushTargetJSON = fs.readFileSync('./pushTarget.json');
//var pushTargetJSON = fs.readFileSync( './pushTargetDocIdArray.json');
//var pushTargetJSON = fs.readFileSync( './pushTargetDocIdNotArray.json');
//var pushTargetJSON = fs.readFileSync( './pushTargetNoDocId.json');

//Only one line of code is needed to call jsonPush. However;
//the call must be surrounded by a try catch so that any validation 
//errors that "jp.jsonPush" can throw can be handled. The parameters
//sent in are the Source JSON, the Target JSON and the Push Configuration.
try {
	
	//var pushTargetJsonComplete = jsonUtils.json2jsonPush.push(pushSourceJSON, pushTargetJSON, pushConfig);
	var pushTargetJsonComplete = json2jsonPush.initiate(pushSourceJSON, pushTargetJSON, pushConfig);
	
	//console.log('Enriched Target JSON:');
	console.log(JSON.stringify(pushTargetJsonComplete));
} catch (err) {
	console.log(err);
	throw err;
}