var fs = require('fs');
//var jsonUtils = require('../../'); //looks for index.js file
var json2jsonPush = require('../../').json2jsonPush; 
var utils = require('../../').utils; 

//nconf is not required, here it is used to store the push configuration
var nconf = require('nconf');
nconf.file({
	file : 'pushConfigExample_1.json'
});
var pushConfig = nconf.get('pushConfig');

var CONSTANTS = {
		pushSides: {
			from: "from",
			to: "to"
		}
	};

var pushSourceJSON = fs.readFileSync('./pushSource.json');
var pushTargetJSON = fs.readFileSync('./pushTarget.json');

//jsonPush will automatically run these validations below before allowing itself to run.
//However, these validations can be run separately and apart from the jsp.jsonPush function
//if desired.

try {
	var boolPushConfig = json2jsonPush.validateJson2JsonPushConfiguration(pushConfig);
} catch (err) {
	console.log(err);
	throw err;
}

try {
	var boolReqFrom = json2jsonPush.validateExistenceOfRequiredTargets(pushSourceJSON, pushConfig, CONSTANTS.pushSides.from);
	var boolReqTo = json2jsonPush.validateExistenceOfRequiredTargets(pushTargetJSON, pushConfig, CONSTANTS.pushSides.to);
} catch (err) {
	console.log(err);
	throw err;
}